Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
ezarticle/xmlrpc/xmlrpcserver.php File Reference

Go to the source code of this file.

## Functions
& | newArticle ( $args)
& | login ( $args)
& | articleCategoryTree ( $args)

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $GlobalSiteIni =& $ini
| $server = new eZXMLRPCServer( )

## Function Documentation

## ◆ articleCategoryTree()

& articleCategoryTree | ( |  | $args | ) |

Definition at line 200 of file ezarticle/xmlrpc/xmlrpcserver.php.

References $args, $cat, $category, $ret, $user, and eZPermission\checkPermission().

## ◆ login()

& login | ( |  | $args | ) |

Definition at line 181 of file ezarticle/xmlrpc/xmlrpcserver.php.

References $args, $ret, $user, and eZPermission\checkPermission().

## ◆ newArticle()

& newArticle | ( |  | $args | ) |

Definition at line 87 of file ezarticle/xmlrpc/xmlrpcserver.php.

References $args, $article, $articleID, $category, $contents, $groupID, $tmp, $user, eZObjectPermission\removePermissions(), and eZObjectPermission\setPermission().

## Variable Documentation

## ◆ $GlobalSiteIni

$GlobalSiteIni =& $ini

Definition at line 33 of file ezarticle/xmlrpc/xmlrpcserver.php.

Referenced by eZPBFile\chmod(), eZPBFile\copy(), eZPBFile\dir(), eZPBFile\file_exists(), eZPBFile\filemtime(), eZPBFile\filesize(), eZPBFile\fopen(), eZHTTPTool\header(), eZPBFile\is_dir(), eZPBFile\is_file(), eZPBFile\realpath(), eZQDomRenderer\renderFile(), eZTechRenderer\renderImage(), eZTechRenderer\renderLink(), eZQDomRenderer\renderLink(), ezpbKernelAdmin\run(), ezpbKernelWeb\run(), sendAssignedMail(), eZTemplate\set_file(), eZTemplate\set_root(), and eZPBFile\unlink().

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 32 of file ezarticle/xmlrpc/xmlrpcserver.php.

## ◆ $server

$server = new eZXMLRPCServer( )

Definition at line 63 of file ezarticle/xmlrpc/xmlrpcserver.php.

Referenced by eZMySQLDB\__construct(), eZXMLRPCClient\__construct(), eZMailAccount\checkMail(), eZMailAccount\getNewMail(), eZDB\globalDatabase(), eZSys\init(), and eZMailAccount\store().

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.